function(e) {
    var hrefUrl = e.location.href;
    var hostname = e.location.hostname;
    var pathname = e.location.pathname;
    var host = e.location.host;
    var pageTime = (new Date).getTime();
    if (e.monitorStarted) return !1;
           e.monitorStarted = !0;

    setTimeout(function() {
                var navigationTiming = {
                    type: "monitor_resourceTiming",
                    url: hrefUrl,
                    domain: hostname,
                    uri: pathname,
                    navigationTiming: performanceTiming.getNavigationTiming(),
                };
                sendResourceTiming(navigationTiming);
            }, 0);

    var performanceTiming = function() {
            function navigationTiming() {
                if (!e.performance || !e.performance.timing) return {};
                var time = e.performance.timing;
                return {
                    navigationStart: time.navigationStart,
                    redirectStart: time.redirectStart,
                    redirectEnd: time.redirectEnd,
                    fetchStart: time.fetchStart,
                    domainLookupStart: time.domainLookupStart,
                    domainLookupEnd: time.domainLookupEnd,
                    connectStart: time.connectStart,
                    secureConnectionStart: time.secureConnectionStart ? time.secureConnectionStart: time.connectEnd - time.secureConnectionStart,
                    connectEnd: time.connectEnd,
                    requestStart: time.requestStart,
                    responseStart: time.responseStart,
                    responseEnd: time.responseEnd,
                    unloadEventStart: time.unloadEventStart,
                    unloadEventEnd: time.unloadEventEnd,
                    domLoading: time.domLoading,
                    domInteractive: time.domInteractive,
                    domContentLoadedEventStart: time.domContentLoadedEventStart,
                    domContentLoadedEventEnd: time.domContentLoadedEventEnd,
                    domComplete: time.domComplete,
                    loadEventStart: time.loadEventStart,
                    loadEventEnd: time.loadEventEnd,
                    pageTime: pageTime
                }
            }
            return {
                cacheResourceTimingLength: 0,
                getNavigationTiming: function() {
                    return navigationTiming();
                }
            }
        }();
    function sendResourceTiming(e) {
        zuzuche.onMonitorResourceTiming(JSON.stringify(e))
    };

}(this)